from dataclasses import dataclass
from typing import *

@dataclass
class ZwuLogin:
    user_index: str
    result: str
    message: str
    forwordurl: Any
    keepalive_interval: int
    cas_fail_err_string: Any
    valid_code_url: str

    def __init__(self, data: dict | None):
        if data == None:
            return None
        self.user_index = data.get("user_index")
        self.result = data.get("result")
        self.message = data.get("message")
        self.forwordurl = data.get("forwordurl")
        self.keepalive_interval = data.get("keepalive_interval")
        self.cas_fail_err_string = data.get("cas_fail_err_string")
        self.valid_code_url = data.get("valid_code_url")




